> ## Documentation Index
> Fetch the complete documentation index at: https://docs.solomon.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Atualizar influenciador

> Atualiza a categoria de um influenciador (o `name` identifica o influenciador). Requer o escopo `influencers.write`.



## OpenAPI

````yaml put /influencers
openapi: 3.1.0
info:
  title: Solomon Admin API
  description: API aberta para integração com a Solomon
  license:
    name: MIT
  version: 1.1.0
servers:
  - url: https://admin-api.sandbox.solomon.com.br/admin/v1
  - url: https://admin-api.solomon.com.br/admin/v1
security:
  - ApiKeyAuth: []
paths:
  /influencers:
    put:
      summary: Atualizar influenciador
      description: >-
        Atualiza a categoria de um influenciador (o `name` identifica o
        influenciador). Requer o escopo `influencers.write`.
      operationId: updateInfluencer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateInfluencer'
            example:
              name: Duda Raiz
              category: vip
      responses:
        '200':
          description: Influenciador atualizado
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Success'
        '400':
          description: Erro de validação
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Erro interno do servidor
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    UpdateInfluencer:
      type: object
      required:
        - name
        - category
      properties:
        name:
          type: string
        category:
          type: string
    Success:
      type: object
      properties:
        success:
          type: boolean
        request_id:
          type: string
        timestamp:
          type: string
    Error:
      type: object
      properties:
        success:
          type: boolean
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
        request_id:
          type: string
        timestamp:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      description: API Key para autenticação

````